org.apache.lucene.geo3d

## Class GeoAreaFactory

- java.lang.Object
- - org.apache.lucene.geo3d.GeoAreaFactory

-     public class GeoAreaFactory
      extends Object

  Factory for `GeoArea`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeoArea` | `makeGeoArea(PlanetModel planetModel, double topLat, double bottomLat, double leftLon, double rightLon)` Create a GeoArea of the right kind given the specified bounds.
    `static GeoArea` | `makeGeoArea(PlanetModel planetModel, double minX, double maxX, double minY, double maxY, double minZ, double maxZ)` Create a GeoArea of the right kind given (x,y,z) bounds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeGeoArea

          public static GeoArea makeGeoArea(PlanetModel planetModel,
                            double topLat,
                            double bottomLat,
                            double leftLon,
                            double rightLon)

      Create a GeoArea of the right kind given the specified bounds.
      Parameters:
        `planetModel` - is the planet model
        `topLat` - is the top latitude
        `bottomLat` - is the bottom latitude
        `leftLon` - is the left longitude
        `rightLon` - is the right longitude
      Returns:
        a GeoArea corresponding to what was specified.

    - #### makeGeoArea

          public static GeoArea makeGeoArea(PlanetModel planetModel,
                            double minX,
                            double maxX,
                            double minY,
                            double maxY,
                            double minZ,
                            double maxZ)

      Create a GeoArea of the right kind given (x,y,z) bounds.
      Parameters:
        `planetModel` - is the planet model
        `minX` - is the min X boundary
        `maxX` - is the max X boundary
        `minY` - is the min Y boundary
        `maxY` - is the max Y boundary
        `minZ` - is the min Z boundary
        `maxZ` - is the max Z boundary

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.